Name:           tvtime
Version:        1.0.11
Release:        %mkrel 1
Summary:        High quality television application
Group:          Video/Players
License:        GPLv2+ and LGPLv2+
URL:            http://tvtime.net/
Source0:        http://linuxtv.org/downloads/tvtime/%{name}-%{version}.tar.gz
Patch0:         tvtime-1.0.10-honor-cflags.patch
# https://sourceforge.net/p/tvtime/patches/46
Patch7:		tvtime-1.0.6-mga-desktop.patch
BuildRequires:  libx11-devel
BuildRequires:  libxml2-devel
BuildRequires:  libpng-devel
BuildRequires:  freetype2-devel
BuildRequires:  libSDL-devel
BuildRequires:	libxv-devel
BuildRequires:	libxtst-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

%description
Tvtime is a high quality television application for use with video
capture cards.  tvtime processes the input from a capture card and
displays it on a computer monitor or projector.  Unlike other television
applications, tvtime focuses on high visual quality making it ideal for
videophiles.

  tvtime supports:

  o   Deinterlaced output at full interlaced rate of 59.94 frames per
      second for NTSC source, or 50 frames per second for PAL sources.
      This gives smoothness of motion and high visual quality.

  o   Multiple deinterlacing algorithms for finding the optimal mode for
      your video content and available processor speed.

  o   16:9 aspect ratio mode for the highest available resolution when
      processing input from an external DVD player or digital satellite
      receiver.

  o   A super-slick on-screen-display for the complete television
      experience, with a featureful menu system.

  o   2-3 Pulldown detection for optimal quality viewing of film content
      from NTSC sources.

%package doc
Summary:	User manual for %{name}
Group:		Video/Editors and Converters
BuildArch:	noarch

%description doc
This package contains the user manual for %{name}.

%prep
%setup -q
%patch0 -p1
%patch7 -p1 -b .desktop

%build
%configure2_5x
%make

%install
%makeinstall ROOT=%{buildroot}

#xdg
desktop-file-install --vendor="" \
    --add-category='TV' \
    --add-category='Video' \
    --add-category='X-Mageia-CrossDesktop' \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

install -d %{buildroot}%{_docdir}/%{name}
ln -sf ../%{name}-doc/html %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%doc data/COPYING.FreeMonoBold data/COPYING.tvtimeSansBold
%exclude %{_docdir}/%{name}/html
%{_bindir}/*
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/tvtime.xml
%{_datadir}/%{name}
# freedesktop stuff
%{_datadir}/appdata/tvtime.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png

%files doc
%doc ChangeLog
%doc docs/html
%doc %{_docdir}/%{name}/html


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.0.11-1.mga6
+ Revision: 1078994
- 1.0.11
- remove upstreamed patches

* Tue May 10 2016 luigiwalser <luigiwalser> 1.0.10-1.mga6
+ Revision: 1011914
- 1.0.10
- add bugfix patches from fedora
- remove patch 5 (apparently fixed upstream)
- rediff patch 6

* Wed Feb 17 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 963118
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 zezinho <zezinho> 1.0.8-1.mga6
+ Revision: 895602
- new version 1.0.8

* Mon Jan 19 2015 luigiwalser <luigiwalser> 1.0.6-2.mga5
+ Revision: 811572
- rebuild for release

* Mon Jan 12 2015 luigiwalser <luigiwalser> 1.0.6-1.mga5
+ Revision: 810096
- 1.0.6
- remove patches 0,1,2,3,4,6 (fixed upstream)
- rediff patch 5, 7
- fix source URL

* Wed Nov 26 2014 alexl <alexl> 1.0.2-20.mga5
+ Revision: 799318
- translated desktop file (desktop.patch)
- moved from spec into desktop.patch equivalently

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-19.mga5
+ Revision: 740484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-18.mga5
+ Revision: 689995
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-17.mga4
+ Revision: 526447
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.0.2-16.mga4
+ Revision: 436949
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-15.mga3
+ Revision: 384915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 1.0.2-14.mga3
+ Revision: 322433
- fix rpm group

* Thu Nov 10 2011 blino <blino> 1.0.2-13.mga2
+ Revision: 166039
- exclude html symlink from main package
- split HTML doc files in a doc subpackage

* Thu Sep 15 2011 fwang <fwang> 1.0.2-12.mga2
+ Revision: 144060
- fix header file location
- fix build with libpng1.5

* Thu Feb 24 2011 ennael <ennael> 1.0.2-12.mga1
+ Revision: 59103
- clean spec file
- imported package tvtime

